Subject: RX01 Boot problems licked!

From: "Douglas W. Jones" <[email-masked]>
Date: Tue, 8 Nov 94 10:38:52 CST

IT WORKS.  John Wilson, your disk image is good!  CJL, thanks alot for
your help!  The light dawned just as I pressed the control-D to send out
the last bit of E-mail.  Here's a transcript of my very first ever OS/8
session:

- begin transcript -

.R PIP
*/E
USE DIRECT
*/F
USE DIRECT
*TTY:</E
USE DIRECT
*^C

.R DIRECT
*TTY:</E

SYS  VOLUME--   1
SYS:=RX8E
OS/8 SYSTEM   VERSION   3Q

BUILD .SV  33           PAL8  .SV  19           BCOMP .SV  17
ABSLDR.SV   5           PIP   .SV  11           BLOAD .SV   8
BITMAP.SV   5           PT8E  .BN   1           BRTS  .SV  15
BOOT  .SV   5           RESORC.SV  10           EABRTS.BN  24
CCL   .SV  18           RXCOPY.SV   6           RESEQ .BA   6
CREF  .SV  13           SABR  .SV  24           ECHO  .SV   2
DIRECT.SV   7           TECO  .SV  22           RKLFMT.SV   9
EDIT  .SV  10           BASIC .AF   4           SET   .SV  14
EPIC  .SV  14           BASIC .FF   4           BATCH .SV  10
FBOOT .SV   2           BASIC .SF   4           FUTIL .SV  26
FOTP  .SV   8           BASIC .SV   9           IDS   .SV   5
HELP  .HL  55           BASIC .UF   4           <EMPTY>     1
HELP  .SV   8

  36 FILES IN  437 BLOCKS -    1 FREE BLOCKS
*^C

.
.R BOOT

/
- end transcript -

And, I've verified that, with BOOT running, it's safe to power down the
emulator, then restart things at 0033 and OS/8 comes up again just fine,
still running BOOT, ready for you to hit control C.

Now, I guess I've got to put together a proper distribution of my
emulator and put it out for public consumption.

					Doug Jones
					[email-masked]

---

From: Charles Lasner <[email-masked]>
Date: Fri, 11 Nov 1994 21:28:21 -0500 (EST)

> the last bit of E-mail.  Here's a transcript of my very first ever OS/8

Not sure what you fixed, but it does make sense!

> *^C

Yes, the dreaded PIP version where the /E, /F, /L switches were deleted!

>   36 FILES IN  437 BLOCKS -    1 FREE BLOCKS

You should set the date using something like this:

.R CCL   {in case it ain't already running!}

.DATE 12-NOV-94

.DATE

{Printout confirms that date worked!  It could be off by multiples of 8 
years exactly!}

Then you can use:

.DIR /E/B=2

and the dates and logical records should be in the listing, etc.

> .R BOOT

This can be 

.BOOT/RX.

That places a bootstrap in memory, but allows for shutdown and restart at 
00200 generically regardless of which boot device was chosen.  Your 
values are fine for RX only, etc.

> still running BOOT, ready for you to hit control C.

See above.  Remember, you may eventually emulate other devices!  Also, 
BOOT is a good place to stop for other reasons:  You could wind up with a 
bootable COS-310 or P?S/8 or WPS-8, and they all share the same boot 
convention, etc.

> emulator and put it out for public consumption.

A good start!  It would feel better if the RX diagnostics passed though!
Remember, there are existing RX programs that delve a whole lot deeper 
than this puppy of an RX handler!

> 					[email-masked]

cjl